Subject: bug#57878: Minimal reproducible setup

From: zimoun <[email-masked]>
Date: Fri, 14 Oct 2022 18:07:08 +0200

Hi Liliana,

On mer., 12 oct. 2022 at 21:42, Liliana Marie Prikler <[email-masked]> wrote:

> In Guix, this is more or less a user choice – we advertised the
> transformation by which you can opt-in to AOT compilation in a news
> entry.  Also, enforcing ahead-of-time compilation does not fix the more
> pressing issue of packages breaking with native compilation ;)

Indeed, the news entry reads,

--8<---------------cut here---------------start------------->8---
 (entry (commit "11a06d1e49f4d50d6789e05bbf35e2e145ff7838")
        (title
         (en "Emacs now supports native compilation")
         (de "Emacs kann Pakete nun nativ kompilieren")
         (pt "O Emacs agora suporta compilação nativa"))
        (body
         (en "Emacs can now compile packages natively.  Under the default
configuration, this means that Emacs packages will now be just-in-time (JIT)
compiled as you use them, and the results stored in a subdirectory of your
@code{user-emacs-directory}.

Furthermore, the build system for Emacs packages transparently supports native
compilation, but note, that @code{emacs-minimal}---the default Emacs for
building packages---has been configured without native compilation.
To natively compile your emacs packages ahead of time, use a transformation
like @option{--with-input=emacs-minimal=emacs}.")
--8<---------------cut here---------------end--------------->8---

Maybe it could be worth to have that in the manual too, no?  For
example, under ’Application setup, Emacs packages’ [1].

Because it appears to me more than just a simple news if it is more or
less an user choice.

1: <https://guix.gnu.org/manual/devel/en/guix.html#Emacs-Packages-1>

Cheers,
simon